sysutils/szyszka - The NetBSD Packages Collection

Fast and powerful file renamer with gtk display

Szyszka is a simple but powerful and fast bulk file renamer.

Features
- Great performance
- Gui created with GTK 4
- Multiple rules which can be freely combined:
  - Replace text
  - Trim text
  - Add text
  - Add numbers
  - Purge text
  - Change letters to upper/lowercase
  - Custom rules
- Save rules to be able to use them later
- Ability to edit, reorder rules and results
- Handle even hundreds thousands of records

Build dependencies

pkgtools/x11-links lang/rust x11/xorgproto x11/xcb-proto x11/xcb-proto devel/glib2-tools pkgtools/mktools devel/pkgconf pkgtools/cwrappers

Runtime dependencies

x11/gtk4 devel/glib2 devel/pango graphics/cairo graphics/cairo graphics/gdk-pixbuf2 graphics/MesaLib devel/atk graphics/librsvg x11/gtk4 devel/glib2 devel/pango graphics/cairo graphics/gdk-pixbuf2 graphics/MesaLib devel/atk graphics/librsvg graphics/librsvg

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64szyszka-3.0.0nb5.tgz
NetBSD 10.0aarch64szyszka-3.0.0nb1.tgz
NetBSD 10.0aarch64szyszka-3.0.0nb1.tgz
NetBSD 10.0earmv7hfszyszka-3.0.0nb5.tgz
NetBSD 10.0earmv7hfszyszka-3.0.0nb1.tgz
NetBSD 10.0earmv7hfszyszka-3.0.0nb1.tgz
NetBSD 10.0i386szyszka-3.0.0nb5.tgz
NetBSD 10.0i386szyszka-3.0.0nb1.tgz
NetBSD 10.0x86_64szyszka-3.0.0nb5.tgz
NetBSD 10.0_BETAx86_64szyszka-3.0.0nb1.tgz
NetBSD 9.0aarch64szyszka-3.0.0nb5.tgz
NetBSD 9.0aarch64szyszka-3.0.0nb1.tgz
NetBSD 9.0aarch64szyszka-3.0.0nb1.tgz
NetBSD 9.0earmv7hfszyszka-3.0.0nb5.tgz
NetBSD 9.0earmv7hfszyszka-3.0.0nb1.tgz
NetBSD 9.0earmv7hfszyszka-3.0.0nb1.tgz
NetBSD 9.0i386szyszka-3.0.0nb1.tgz
NetBSD 9.0i386szyszka-3.0.0nb5.tgz
NetBSD 9.0x86_64szyszka-3.0.0nb5.tgz
NetBSD 9.0x86_64szyszka-3.0.0nb1.tgz
NetBSD 9.3x86_64szyszka-3.0.0nb1.tgz
NetBSD 9.3x86_64szyszka-3.0.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.